<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="48" infoRejectCounter="0">
  <summary>
    <timer wall="1" cpu="0.209746" calls="1"/>
    <!-- memory in MB-->
    <memory final="144.04" peak="146.04"/>
  </summary>
  <header id="">
    <environment started="2017-Mar-24 11:06:55" host="eamc061"/>
    <progOpts problem="static_bimat" parameterFile="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/static_bimat/static_bimat.xml" schemaPath="/home/fwein/code/shared/share/xml" meshFile="" logConfFile="" detailed="no" MKL_NUM_THREADS="1" OMP_NUM_THREADS="1">
      <cfs version="17.03" name="Back To The Future" build="Release" svn_revision="15633 modified" svn_branch="shared_opt_0714" exe="cfs_shared_rel"/>
    </progOpts>
    <domain dimensions="2" elements="260" nodes="294" nx="20" ny="13" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="294" elems="260" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="21"/>
        <nodes name="north" count="21"/>
        <nodes name="west" count="14"/>
        <nodes name="east" count="14"/>
        <nodes name="left_lower" count="1" coord="(0,0)"/>
        <nodes name="right_lower" count="1" coord="(3,0)"/>
        <nodes name="left_upper" count="1" coord="(0,2)"/>
        <nodes name="right_upper" count="1" coord="(3,2)"/>
        <nodes name="center_upper" count="1" coord="(0.45,0.461538)"/>
        <nodes name="center_lower" count="1" coord="(0.45,0)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="20" ny="13" nz="1" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process>
      <sequence step="0">
        <result data="mechDeformEnergy" location="mech" definedOn="region">
          <item step="0" step_val="0" value="85.023" unit="Ws"/>
          <item step="1" step_val="1" value="54.004" unit="Ws"/>
          <item step="2" step_val="2" value="39.118" unit="Ws"/>
          <item step="3" step_val="3" value="32.05" unit="Ws"/>
          <item step="4" step_val="4" value="28.455" unit="Ws"/>
          <item step="5" step_val="5" value="25.799" unit="Ws"/>
          <item step="6" step_val="6" value="24.271" unit="Ws"/>
          <item step="7" step_val="7" value="23.328" unit="Ws"/>
          <item step="8" step_val="8" value="22.651" unit="Ws"/>
          <item step="9" step_val="9" value="22.099" unit="Ws"/>
          <item step="10" step_val="10" value="21.6" unit="Ws"/>
          <item step="11" step_val="11" value="21.168" unit="Ws"/>
          <item step="12" step_val="12" value="20.867" unit="Ws"/>
          <item step="13" step_val="13" value="20.657" unit="Ws"/>
          <item step="14" step_val="14" value="20.519" unit="Ws"/>
          <item step="15" step_val="15" value="20.421" unit="Ws"/>
          <item step="16" step_val="16" value="20.35" unit="Ws"/>
          <item step="17" step_val="17" value="20.298" unit="Ws"/>
          <item step="18" step_val="18" value="20.258" unit="Ws"/>
          <item step="19" step_val="19" value="20.227" unit="Ws"/>
          <item step="20" step_val="20" value="20.203" unit="Ws"/>
        </result>
      </sequence>
    </process>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right_lower" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.03"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="560" totalNumFreeEqns="560" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="560" lastFreeEqn="560" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="560" lastFreeIndex="560"/>
          </sbmBlocks>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="560" totalNumCols="560" totalNumNonZeros="9280" totalFillLevelPerCent="2.9592" totalMemory="0.070801">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="560" numCols="560" numNonZeros="9280" fillLevelPerCent="2.9592" memory="0.070801" upperBandWidth="541" lowerBandWidth="541" avgBandWidth="202" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <cholmod>
            <header>
              <parameters>
                <factorization>
                  <nmethods default="0"/>
                  <postorder default="1"/>
                  <dbound default="0"/>
                </factorization>
                <supernodal>
                  <method default="auto"/>
                  <switch default="40"/>
                </supernodal>
                <output>
                  <level default="3"/>
                  <precise default="0"/>
                </output>
              </parameters>
            </header>
            <summary>
              <setup>
                <timer label="setup_cholmod" wall="0" cpu="0.016815" calls="21"/>
              </setup>
              <solve>
                <timer label="solve_cholmod" wall="0" cpu="0.000933" calls="21"/>
              </solve>
            </summary>
            <process>
              <setup selected_factorization_method="1" ll_flop_count="4.5835e+05" nz_in_L="14368" nz_in_triA="4920" memory_usage="" memory_inuse="" malloc_count="" nrealloc_col="0" nrealloc_factor="0" ndbounds_hit="0">
                <method id="1" lnz="14368" fl="4.5835e+05"/>
              </setup>
              <solver/>
            </process>
          </cholmod>
        </solver>
        <precond>
          <idPrecond/>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="0" cpu="0.032192" calls="42"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/static_bimat/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="yes" filtered="yes" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall="0" cpu="0" calls="0" sub="true"/>
        </gradient_chain_rule>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables optimizationVariables="260" modelVariables="260" modelElements="260">
          <design type="density" upperBound="1" lowerBound="0" physicalLowerBound="0"/>
        </designVariables>
        <regions>
          <region name="mech" elements="260" bimaterial="soft"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="1.2" contribution="linear" design="allDesigns" avg_radius="0.18462" avg_neighbors="3.7462">
          <timer wall="0" cpu="0.000365" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <optimalityCondition/>
    </header>
    <commit mode="each_forward" stride="1"/>
    <optimizer>
      <summary>
        <optimalityCondition>
          <timer wall="0" cpu="0.014482" calls="333"/>
        </optimalityCondition>
      </summary>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall="0" cpu="4.7e-05" calls="21"/>
      </eval_objective>
      <eval_constraints>
        <timer wall="0" cpu="0.001521" calls="312"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall="0" cpu="0.002179" calls="21"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall="0" cpu="0.00015" calls="21"/>
      </eval_grad_constraints>
      <break converged="no">
        <reason msg="Maximum iterations exceeded"/>
      </break>
    </summary>
    <process>
      <iteration number="0" duration="0" compliance="170.05" volume="0.5" lambda="0" lambda_iters="0" lower="0" upper="0"/>
      <iteration number="1" duration="0" compliance="108.01" volume="0.5" lambda="636.06" lambda_iters="24" lower="636.05" upper="636.06"/>
      <iteration number="2" duration="1" compliance="78.236" volume="0.5" lambda="521.37" lambda_iters="17" lower="521.36" upper="521.37"/>
      <iteration number="3" duration="0" compliance="64.1" volume="0.5" lambda="380.57" lambda_iters="18" lower="380.57" upper="380.57"/>
      <iteration number="4" duration="0" compliance="56.911" volume="0.5" lambda="295.8" lambda_iters="18" lower="295.8" upper="295.8"/>
      <iteration number="5" duration="0" compliance="51.599" volume="0.5" lambda="242.85" lambda_iters="13" lower="242.79" upper="242.85"/>
      <iteration number="6" duration="0" compliance="48.543" volume="0.5" lambda="196.39" lambda_iters="12" lower="196.39" upper="196.48"/>
      <iteration number="7" duration="0" compliance="46.657" volume="0.5" lambda="164.12" lambda_iters="15" lower="164.12" upper="164.13"/>
      <iteration number="8" duration="0" compliance="45.302" volume="0.5" lambda="142.65" lambda_iters="17" lower="142.65" upper="142.65"/>
      <iteration number="9" duration="0" compliance="44.198" volume="0.5" lambda="125" lambda_iters="16" lower="124.99" upper="125"/>
      <iteration number="10" duration="0" compliance="43.2" volume="0.5" lambda="112.2" lambda_iters="14" lower="112.19" upper="112.2"/>
      <iteration number="11" duration="0" compliance="42.337" volume="0.5" lambda="103.69" lambda_iters="15" lower="103.69" upper="103.69"/>
      <iteration number="12" duration="0" compliance="41.733" volume="0.5" lambda="95.769" lambda_iters="15" lower="95.769" upper="95.773"/>
      <iteration number="13" duration="0" compliance="41.315" volume="0.5" lambda="94.113" lambda_iters="15" lower="94.113" upper="94.117"/>
      <iteration number="14" duration="0" compliance="41.039" volume="0.5" lambda="94.597" lambda_iters="15" lower="94.592" upper="94.597"/>
      <iteration number="15" duration="0" compliance="40.843" volume="0.5" lambda="96.071" lambda_iters="15" lower="96.066" upper="96.071"/>
      <iteration number="16" duration="0" compliance="40.701" volume="0.5" lambda="96.046" lambda_iters="15" lower="96.041" upper="96.046"/>
      <iteration number="17" duration="0" compliance="40.595" volume="0.5" lambda="96.377" lambda_iters="14" lower="96.377" upper="96.386"/>
      <iteration number="18" duration="0" compliance="40.515" volume="0.5" lambda="96.78" lambda_iters="14" lower="96.771" upper="96.78"/>
      <iteration number="19" duration="0" compliance="40.454" volume="0.5" lambda="96.985" lambda_iters="15" lower="96.985" upper="96.989"/>
      <iteration number="20" duration="0" compliance="40.407" volume="0.5" lambda="97.093" lambda_iters="15" lower="97.089" upper="97.093"/>
    </process>
  </optimization>
</cfsInfo>